
<template>

<Card v-for="rdv in rdvs" v-bind:key="rdv">
<template #title>
Objet du RDV : {{ rdv.objet}}
</template>

<template #content>
<ul>
<li>Date : {{ rdv.date }}</li>
<li>Note : {{ rdv.detail }}</li>
</ul>
</template>
<template #footer>
<Button icon="pi pi-check" label="Modifier" />
<Button icon="pi pi-times" label="Supprimer" class="p-button-secondary" style="margin-left: .5em" />
</template>
</Card>

</template>


<style scoped>
    
        .p-card{
      margin: 48px 196px;

    }

</style>


<script>

import axios from "axios";

export default {
  components: {},
  name: "rdvs",
  props: {
    msg: String,
  },

    data() {
      return {
          rdvs: [],
          rdv: "",
          
          };
        },

    mounted() {
    axios.get("http://localhost:8080/api/r_d_vs")
    .then((response) => (this.rdvs = response.data['hydra:member']))
    .then(response => console.log(response));
  }


}


</script>

